aboutsummaryrefslogtreecommitdiff
path: root/www/publish.sh
diff options
context:
space:
mode:
authorLeah Rowe <info@minifree.org>2017-04-05 15:53:16 +0100
committerLeah Rowe <info@minifree.org>2017-04-05 15:54:37 +0100
commit07db5576f110b711e86b71d84cdb46bd22705c21 (patch)
tree121d84d915f1e1630ac42216db44f769efdde654 /www/publish.sh
parentaa4f0ed83c772430637da85e3b31391ee132115e (diff)
downloadlibrebootfr-07db5576f110b711e86b71d84cdb46bd22705c21.tar.gz
librebootfr-07db5576f110b711e86b71d84cdb46bd22705c21.zip
add error-checking to publish.sh
Diffstat (limited to 'www/publish.sh')
-rwxr-xr-xwww/publish.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/www/publish.sh b/www/publish.sh
index 8a2654f0..62f5d24b 100755
--- a/www/publish.sh
+++ b/www/publish.sh
@@ -15,6 +15,9 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
echo $1
FILE=${1%.md}
@@ -38,10 +41,10 @@ echo "[License](/license.md)" >> temp.md
sed temp.md -i -e 's/\.md\(#[a-z\-]*\)*)/.html\1)/g'
# work around issue #2872
-TOC=$(grep -q "^x-toc-enable: true$" temp.md && echo "--toc --toc-depth=2")
+TOC=$(grep -q "^x-toc-enable: true$" temp.md && echo "--toc --toc-depth=2") || echo "foo"
# work around heterogenous pandoc versions
-SMART=$(pandoc -v | grep -q '2\.0' || echo "--smart")
+SMART=$(pandoc -v | grep -q '2\.0' || echo "--smart") || echo "foo"
# chuck through pandoc
pandoc $TOC $SMART temp.md -s --css /global.css -T Libreboot \